%global		fontikcommit	8dd5b9fe7
Name:		fontik
Version:	0.6
Release:	1.20100901git%{fontikcommit}%{?dist}
Summary:	A Configuration Tool for Font-wise, User-set Fontconfig Rules

Group:		User Interface/X
License:	GPLv3
URL:		http://suruma.freeflux.net/blog/archive/2009/10/14/fontik-a-font-configuration-gui.html
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone git://gitorious.org/fontik/fontik.git
#  cd fontik
#  export fontikcommit=8dd5b9fe7
#  git archive --format tar --prefix fontik-${fontikcommit}/ ${fontikcommit} |\
#      gzip -c > ../fontik-${fontikcommit}.tar.gz
Source0:	%{name}-%{fontikcommit}.tar.gz
Source1:	%{name}.desktop

BuildRequires:	libgee-devel
BuildRequires:	libxml2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	desktop-file-utils

%description
Fontik is basically intended to tweak and configure some properties of
fonts. These settings are usually set system-wide while installing the
fonts. The power of fontconfig is thus limited when it comes to the
user.

%prep
%setup -q -n %{name}-%{fontikcommit}


%build
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
%{SOURCE1}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/fontik*
%{_datadir}/fontik/
%{_libexecdir}/fontik/
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Sep  8 2010 Daiki Ueno <dueno@redhat.com> - 0.6-1.20100901git8dd5b9fe7
- new upstream snapshot (fontik-makefile.patch is no longer necessary)

* Mon Aug 30 2010 Daiki Ueno <dueno@redhat.com> - 0-0.3.20100825git8e8cea81d
- use only "variable style" macro for build root

* Thu Aug 26 2010 Daiki Ueno <dueno@redhat.com> - 0-0.2.20100825git8e8cea81d
- simplify %%description
- use %%{_prefix} in %%install
- omit "rm -rf $RPM_BUILD_ROOT"

* Wed Aug 25 2010 Daiki Ueno <dueno@redhat.com> - 0-0.1.20100825git8e8cea81d
- initial packaging for Fedora

